/*                                                                          
  Ŀ
   Ejemplo1.c                                                             
                                                                          
   Ejemplo de uso de interrupciones software de la ROM-BIOS usando la int 
   10h mediante la librera INTS.H: Cambio del color del borde.           
                                                                          
   Compilado con :  Borland C/C++ v3.1                                    
   Cdigo y texto:  [NoP] de Compiler SoftWare.                     
  1997 C.S.
*/

#include <stdio.h>               /* funciones estndar Input/Output */
#include "ints.h"                /* librera con funciones varias int 10h */


/*  Funcin principal main()  */

void main( void )
{
 SetVideoMode( 3 );               /* inicializar 80x25x16 colores en texto */
 
 printf("EJEMPLO1.EXE\r\n");
 printf("\r\nEstos primeros ejemplos usan la librera INTS.H y sus funciones (SetVideoMode,\r\n");
 printf("GetVideoMode, Int_PutPixel, Int_GetPixel, SetBorder) para mostrar el uso de la\r\n");
 printf("int 10h. En este ejemplo vamos a cambiar el color del borde usando la funcin\r\n");
 printf("SetBorder(), que llama al servicio 1001h de la int 10h.\r\n");
 printf("\r\nBIOS Int 10h:   Set Border/Overscan Colour.\r\n");
 printf("                    AX = 1001\r\n");
 printf("                    BH = Color\r\n\n");
 printf("En este ejemplo se llama a SetBorder() con el color 6 (marrn).\r\n");

 SetBorder( 6 );                  /* cambiamos el color del borde */
}
