/*                                                                          
  Ŀ
   Ejemplo5.c                                                             
                                                                          
   Ejemplo de inicializacin del modo 13h (320x200x256) y demostracin    
   de acceso a la VideoRAM y sus consecuencias en pantalla:               
   Borra la pantalla con el color 1 usando ClearScreen() (rep stosb)      
   y dibuja 256 lneas verticales con los 256 colores posibles para mos-  
   trar la paleta estndar (para poder ver los 256 colores distintos de   
   que disponemos por defecto).                                           
                                                                          
   Compilado con :  Borland C/C++ v3.1                                    
   Cdigo y texto:  [NoP] de Compiler SoftWare.                     
  1997 C.S.
*/

#include <stdio.h>               /* funciones estndar Input/Output */
#include <conio.h>               /* funcin getch(); */
#include <dos.h>                 /* funciones estndar Input/Output */
#include "ints.h"                /* librera con funciones varias int 10h */
#include "mode13h.h"             /* librera con funciones 320x200x256 */

int bucle, y;

/*  Funcin principal main()  */

void main( void )
{

 SetVideoMode( 3 );                       /* inicializar 80x25x16 (3h) */

 printf("EJEMPLO5.EXE\r\n");
 printf("\r\nEn este ejemplo inicializamos el modo grfico 320x200x256 (13h)\r\n");
 printf("usando la funcin SetVideoMode() y testeamos la funcin de borrado de\r\n");
 printf("pantalla (ClearScreen(color)) con el color 1 (azul). Luego dibujamos 256\r\n");
 printf("lneas verticales (a base de llamadas a PutPixelC) para poder ver los 256\r\n");
 printf("colores de que disponemos al dibujar (paleta por defecto). La primera lnea\r\n");
 printf("ser el color 0, la 2 el 1, etc... hasta la ltima (color 255).\r\n\n");

 printf("Pulse cualquier tecla para realizar la prueba...");
 getch();

 SetVideoMode( 0x13 );                    /* inicializar 320x200x256 (13h) */
 ClearScreen( 1 );                        /* limpiar videoram con color 1 */

 for( bucle=0; bucle<255; bucle++ )
  for( y=0; y<100; y++ )
   PutPixelC( bucle, y, bucle );                     /* VLines */

 getch();                                 /* esperar a que pulse una tecla */
 SetVideoMode( 3 );                       /* inicializar 80x25x16 (3h) */
 
 printf("Como se ha visto, el modo 13h nos provee de una resolucin aceptable y\r\n");
 printf("mucho colorido, junto con facilidad de programacin (tan slo hay que\r\n");
 printf("escribir en la videoram). En resumen, es un modo muy rpido de programar\r\n");
 printf("y es por eso que el 90%% de los juegos se apoyan en este modo.\r\n");
 printf("El mes que viene profundizaremos en el 13h con nuevas rutinas grficas.\r\n");

}
