/*                                                                          
  Ŀ
   Ejemplo2.c                                                             
                                                                          
   Ejemplo de uso de interrupciones software de la ROM-BIOS usando la int 
   10h mediante la librera INTS.H: Lectura del modo de video por la BIOS.
                                                                          
   Compilado con :  Borland C/C++ v3.1                                    
   Cdigo y texto:  [NoP] de Compiler SoftWare.                     
  1997 C.S.
*/

#include <stdio.h>               /* funciones estndar Input/Output */
#include <conio.h>               /* funcin getch(); */
#include "ints.h"                /* librera con funciones varias int 10h */


/*  Funcin principal main()  */

void main( void )
{

 printf("EJEMPLO2.EXE\r\n");
 printf("\r\nEste ejemplo testea la funcin GetVideoMode() para comprobar el modo de video\r\n");
 printf("bajo el que estamos. Probablemente si estamos trabajando bajo MSDOS el valor\r\n");
 printf("devuelto ser 3h (80x25x16). Bajo modos SVGA habra que usar funciones VESA.\r\n");
 printf("\r\nBIOS Int 10h:   Get Video Mode.\r\n");
 printf("                    AH = 0Fh\r\n");
 printf("    Devuelve:       AL = Modo\r\n\n");
 
 printf("GetVideoMode() devuelve %d.\r\n", GetVideoMode() );
 printf("(Consultar tabla de modos de video).\r\n");

}
