/*                                                                          
  Ŀ
   Ejemplo4.c                                                             
                                                                          
   Ejemplo de inicializacin del modo 13h (320x200x256) y demostracin    
   de acceso a la VideoRAM y sus consecuencias en pantalla:               
   Rellena el segmento de la videoram con valores aleatorios usando pokeb 
   para demostrar su equivalencia en pantalla.                            
                                                                          
   Compilado con :  Borland C/C++ v3.1                                    
   Cdigo y texto:  [NoP] de Compiler SoftWare.                     
  1997 C.S.
*/

#include <stdio.h>               /* funciones estndar Input/Output */
#include <conio.h>               /* funcin getch(); */
#include <stdlib.h>              /* funcin random(); */
#include <dos.h>                 /* funcin pokeb(); */
#include "ints.h"                /* librera con funciones varias int 10h */

unsigned int bucle;

/*  Funcin principal main()  */

void main( void )
{

 SetVideoMode( 3 );                       /* inicializar 80x25x16 (3h) */

 printf("EJEMPLO4.EXE\r\n");
 printf("\r\nEn este ejemplo inicializamos el modo grfico 320x200x256 (13h)\r\n");
 printf("usando la funcin SetVideoMode() y escribimos valores en el segmento\r\n");
 printf("0A000h con la funcin pokeb() de C, para demostrar el efecto que tiene\r\n");
 printf("el escribir bytes en la videomemoria (un byte=un pixel, y segn el offset\r\n");
 printf("en que lo escribamos ser un pixel u otro.).\r\n");
 printf("\r\nCon un bucle C rellenamos el segmento 0A000h cada byte con un valor:\r\n\n");
 printf("     for( bucle=0; bucle<64000; bucle++ )\r\n");
 printf("       pokeb( 0xA000, bucle, color );\r\n\n");
 
 printf("Pulse cualquier tecla para realizar la prueba...");
 getch();

 SetVideoMode( 0x13 );                    /* inicializar 320x200x256 (13h) */

 for( bucle=0; bucle<64000; bucle++ )
   pokeb( 0xA000, bucle, bucle );         

 getch();                                 /* esperar a que pulse una tecla */
 SetVideoMode( 3 );                       /* inicializar 80x25x16 (3h) */

 printf("Comparado con el ejemplo anterior (el de uso de interrupciones para dibujar\r\n");
 printf("pixels) ste probablemente haya sido *MUCHO* ms rpido. En un 486 el programa\r\n");
 printf("anterior tarda algunos segundos en llenar la pantalla, mientras que ste es\r\n");
 printf("instantneo (no slo porque hay que pintar menos pixels).\r\n\n");
 printf("El acceso directo a VideoRAM es la solucin a los problemas de velocidad.\r\n");
 printf("Pero no todos los modos de video gestionan igual la VRAM. En 640x480 no\r\n");
 printf("podramos usar bytes para dibujar pixels, porque 640x480 = 307.200, y\r\n");
 printf("recordemos que un segmento slo tiene 65.535 bytes. En estos modos\r\n");
 printf("hay que usar Bank Switching y otros mtodos. Conforme vayamos avanzando\r\n");
 printf("en el curso veremos cada modo con ms detenimiento.\r\n");
 printf("(Y an as, este ejemplo es 'lento' porque usamos la funcin pokeb() de C\r\n");
 printf(" en lugar de acceso directo mediante assembler.)\r\n");
}
